File cgdcbxd-use-pkgconfig-for-libmnl of Package cgdcbxd

From: Jeff Mahoney <jeffm@suse.com>
Subject: cgdcbxd: Use pkgconfig to find libmnl

The SLES libmnl package puts the headers in /usr/include/libmnl-1.0.

Use pkgconfig to find them.

Signed-off-by: Jeff Mahoney <jeffm@suse.com>
================================================================================
--- cgdcbxd-1.0.2_8e157dff/Makefile.am
+++ cgdcbxd-1.0.2_8e157dff/Makefile.am
@@ -5,7 +5,7 @@
 
 ACLOCAL_AMFLAGS = -I m4
 
-AM_CFLAGS = -Wall -Wextra
+AM_CFLAGS = -Wall -Wextra $(libmnl_CFLAGS)
 
 ## put a spec file and documentation in the distribution archive
 dist_noinst_DATA = cgdcbxd.spec COPYING
--- cgdcbxd-1.0.2_8e157dff/configure.ac
+++ cgdcbxd-1.0.2_8e157dff/configure.ac
@@ -1,10 +1,11 @@
 AC_INIT([cgdcbx], [1.0.2])
 AM_INIT_AUTOMAKE([-Wall -Werror foreign])
+LT_INIT
 
 AC_PROG_CC
 
-AC_SUBST(LIBMNL_CFLAGS)
-AC_SUBST(LIBMNL_LIBS)
+AC_CHECK_LIB([cgroup], [cgroup_init])
+PKG_CHECK_MODULES([libmnl], [libmnl >= 1])
 
 # Require libcgroup but not new API
 PKG_CHECK_MODULES([LIBCGROUP], [libcgroup >= 0.32])
@@ -13,9 +14,6 @@
 AC_CHECK_HEADER([libcgroup.h], ,[AC_MSG_ERROR(
 [Could not find libcgroup.h. Try installing libcgroup-devel])]
 )
-AC_CHECK_HEADER([libmnl/libmnl.h], , [AC_MSG_ERROR(
-[Could not find libmnl.h. Try installing libmnl-devel])]
-)
 
 AC_CHECK_HEADERS([linux/dcbnl.h])
 AC_CHECK_HEADERS([getopt.h])